# EndGameHighScoreBaseWindow Struct Reference

Inheritance diagram for EndGameHighScoreBaseWindow:

## Public Member Functions
| EndGameHighScoreBaseWindow (const WindowDesc *desc)
void | SetupHighScoreEndWindow ()
Point | GetTopLeft640x480 ()
| Return the coordinate of the screen such that a window of 640x480 is centered at the screen.
virtual void | OnClick (Point pt, int widget, int click_count)
| A click with the left mouse button has been made on the window.
virtual EventState | OnKeyPress (uint16 key, uint16 keycode)
| A key has been pressed.
## Data Fields
uint32 | background_img
int8 | rank

## Detailed Description

Definition at line 30 of file highscore_gui.cpp.

## Member Function Documentation

Point EndGameHighScoreBaseWindow::GetTopLeft640x480 | ( |  | ) | `[inline]`

Return the coordinate of the screen such that a window of 640x480 is centered at the screen.

Definition at line 56 of file highscore_gui.cpp.

References max().

Referenced by HighScoreWindow::OnPaint(), and EndGameWindow::OnPaint().

virtual void EndGameHighScoreBaseWindow::OnClick | ( | Point | pt,
|  | int | widget,
|  | int | click_count |
| ) |  |  | `[inline, virtual]`

A click with the left mouse button has been made on the window.

Parameters:

  | pt | the point inside the window that has been clicked.
  | widget | the clicked widget.
  | click_count | Number of fast consecutive clicks at same position

Reimplemented from Window.

Definition at line 62 of file highscore_gui.cpp.

virtual EventState EndGameHighScoreBaseWindow::OnKeyPress | ( | uint16 | key,
|  | uint16 | keycode |
| ) |  |  | `[inline, virtual]`

A key has been pressed.

Parameters:

  | key | the Unicode value of the key.
  | keycode | the untranslated key code including shift state.

Returns:
  ES_HANDLED if the key press has been handled and no other window should receive the event.

Reimplemented from Window.

Definition at line 67 of file highscore_gui.cpp.

References Window::ES_HANDLED, and Window::ES_NOT_HANDLED.

The documentation for this struct was generated from the following file:

- src/highscore_gui.cpp